const fs = require('fs')
const path = require('path')

const pages = require('../router/pages.ts')
const tabBar = require('./tabbarList')
const data = {
  easycom: {
    '^u-(.*)': 'uview-ui/components/u-$1/u-$1.vue'
    // '^s-(.*)': '@netm/schbrain-view/components/s-$1/s-$1.vue'
  },
  pages,
  globalStyle: {
    maxWidth: 500,
    rpxCalcMaxDeviceWidth: 375,
    // #ifndef APP-PLUS
    navigationStyle: 'custom',
    // #endif
    navigationBarTextStyle: 'black',
    navigationBarBackgroundColor: '#FFFFFF',
    backgroundColor: '#FFFFFF'
  },
  tabBar: {
    color: '#808b9a',
    selectedColor: '#4782e0',
    borderStyle: 'white',
    fontSize: '12px',
    backgroundColor: '#f9fafc',
    list: tabBar
  }
}
fs.writeFile(
  path.join(__dirname, '../pages.json'),
  JSON.stringify(data),
  (e) => (e ? console.error(e) : console.log('pages.json 配置文件更新成功'))
)
